zenilib: PSH_Hint_TableRec_ Struct Reference

zenilib 0.5.3.0

- Main Page
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Friends Macros Groups Pages
Public Attributes | List of all members
PSH_Hint_TableRec_ Struct Reference

`#include <pshalgo.h>`

## Public Attributes

PS_Mask_Table | counter_masks
PS_Mask_Table | hint_masks
PSH_Hint | hints
FT_UInt | max_hints
FT_UInt | num_hints
FT_UInt | num_zones
PSH_Hint * | sort
PSH_Hint * | sort_global
PSH_Zone | zone
PSH_ZoneRec * | zones

## Detailed Description

Definition at line 80 of file pshalgo.h.

## Member Data Documentation

PS_Mask_Table PSH_Hint_TableRec_::counter_masks

Definition at line 91 of file pshalgo.h.

PS_Mask_Table PSH_Hint_TableRec_::hint_masks

Definition at line 90 of file pshalgo.h.

Referenced by psh_glyph_find_strong_points(), and psh_hint_table_init().

PSH_Hint PSH_Hint_TableRec_::hints

Definition at line 84 of file pshalgo.h.

Referenced by psh_hint_table_activate_mask(), psh_hint_table_align_hints(), psh_hint_table_deactivate(), psh_hint_table_done(), psh_hint_table_init(), and psh_hint_table_record().

FT_UInt PSH_Hint_TableRec_::max_hints

Definition at line 82 of file pshalgo.h.

Referenced by psh_hint_table_align_hints(), psh_hint_table_deactivate(), psh_hint_table_done(), psh_hint_table_init(), and psh_hint_table_record().

FT_UInt PSH_Hint_TableRec_::num_hints

Definition at line 83 of file pshalgo.h.

Referenced by psh_hint_table_activate_mask(), psh_hint_table_done(), psh_hint_table_find_strong_points(), psh_hint_table_init(), and psh_hint_table_record().

FT_UInt PSH_Hint_TableRec_::num_zones

Definition at line 87 of file pshalgo.h.

Referenced by psh_hint_table_done(), and psh_hint_table_init().

PSH_Hint* PSH_Hint_TableRec_::sort

Definition at line 85 of file pshalgo.h.

Referenced by psh_hint_table_activate_mask(), psh_hint_table_done(), psh_hint_table_find_strong_points(), and psh_hint_table_init().

PSH_Hint* PSH_Hint_TableRec_::sort_global

Definition at line 86 of file pshalgo.h.

Referenced by psh_hint_table_done(), psh_hint_table_init(), and psh_hint_table_record().

PSH_Zone PSH_Hint_TableRec_::zone

Definition at line 89 of file pshalgo.h.

Referenced by psh_hint_table_done(), and psh_hint_table_init().

PSH_ZoneRec* PSH_Hint_TableRec_::zones

Definition at line 88 of file pshalgo.h.

Referenced by psh_hint_table_done(), and psh_hint_table_init().

The documentation for this struct was generated from the following file:

- zenilib/jni/external/freetype2/src/pshinter/pshalgo.h